%define upstream_name    Lingua-Stem-Snowball
%define upstream_version 0.952

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 23

Summary:	Perl interface to Snowball stemmers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::ParseXS)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Module::Build::Compat)
BuildRequires:	perl-devel


%description
Stemming reduces related words to a common root form -- for instance,
"horse", "horses", and "horsing" all become "hors". Most commonly, stemming
is deployed as part of a search application, allowing searches for a given
term to match documents which contain other forms of that term.

This module is very similar to the Lingua::Stem manpage -- however,
Lingua::Stem is pure Perl, while Lingua::Stem::Snowball is an XS module
which provides a Perl interface to the C version of the Snowball stemmers.
(the http://snowball.tartarus.org manpage).

Supported Languages
    The following stemmers are available (as of Lingua::Stem::Snowball
    0.95):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.952.0-23.mga10
+ Revision: 2089556
- Rebuild for armv7

* Fri Dec 01 2023 tv <tv> 0.952.0-22.mga10
+ Revision: 2012342
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 0.952.0-21.mga9
+ Revision: 1874847
- Rebuild b/c of "lib/Lingua/Stem/Snowball.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 0.952.0-20.mga9
+ Revision: 1795283
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.952.0-19.mga8
+ Revision: 1606985
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.952.0-18.mga8
+ Revision: 1508365
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.952.0-17.mga7
+ Revision: 1293318
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.952.0-16.mga7
+ Revision: 1249508
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.952.0-15.mga7
+ Revision: 1165189
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.952.0-14.mga7
+ Revision: 1159102
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 0.952.0-13.mga6
+ Revision: 1029158
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.952.0-12.mga6
+ Revision: 957618
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.952.0-11.mga6
+ Revision: 842736
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.952.0-10.mga5
+ Revision: 748271
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.952.0-9.mga5
+ Revision: 685220
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.952.0-8.mga5
+ Revision: 631369
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.952.0-7.mga4
+ Revision: 524399
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.952.0-6.mga4
+ Revision: 430772
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.952.0-5.mga3
+ Revision: 369065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.952.0-4.mga3
+ Revision: 250852
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.952.0-3.mga2
+ Revision: 104727
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.952.0-2.mga1
+ Revision: 30692
- mageia rebuild
- imported package perl-Lingua-Stem-Snowball

